Bug 866446 - rhevm-sdk: .get() method supports only id/name parameters
rhevm-sdk: .get() method supports only id/name parameters
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.2.0
Assigned To: Andrew Burden
ecs-bugs
: Documentation, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 07:48 EDT by Michael Pasternak
Modified: 2014-03-25 03:01 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 22:49:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Pasternak 2012-10-15 07:48:02 EDT
From sdk 3.1.0.12, in collection.get() will be permitted only
name/id parameters [1] (**kwargs is no longer available).

[1] only exception is api.disks.get(alias, id)
Comment 1 Stephen Gordon 2012-10-26 11:38:25 EDT
I think this one probably should have been assigned to me, Michael gave me the headsup via email so I think I already made the edits anyway.
Comment 2 Stephen Gordon 2012-10-26 14:00:40 EDT
There's an error here in that the overview of get now only says that you can use "name", but doesn't mention "id". The **kwargs have been removed though.
Comment 3 Stephen Gordon 2012-10-30 13:56:12 EDT
Deferred for 3.2 scoping of fix for comment # 2.
Comment 4 Stephen Gordon 2012-11-08 10:13:10 EST
Re-opened for 3.2.0 scoping, flags will follow.

Note You need to log in before you can comment on or make changes to this bug.